<?php

/**
*
* @author RMcGirr83
* @package - stopforumspam
* @version $Id acp_sfs.php
* @copyright (c) RMcGirr83 ( http://www.rmcgirr83.org/ )
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_sfs
{
	var $u_action;

	function main($id, $mode)
	{
		global $config, $db, $user, $auth, $template;
		global $phpbb_root_path, $phpEx;

		$this->tpl_name = 'acp_sfs';
		$this->page_title = $user->lang['ACP_CAT_SFS'];
		$this->configuration();
		add_form_key('acp_sfs');

	}
	
	function configuration ()
	{
		global $cache, $config, $db, $user, $auth, $template;
		global $phpbb_root_path, $phpEx, $phpbb_admin_path;
		
		// install file been run?
		if (!isset($config['sfs_version']) || (isset($config['sfs_version']) && version_compare($config['sfs_version'], '1.0.1', '<')))
		{
			if($user->data['user_type'] == USER_FOUNDER)
			{
				$installer =  append_sid("{$phpbb_root_path}sfs_install.$phpEx");
				$message = sprintf($user->lang['SFS_WRONG_VERSION'], '<a href="' . $installer . '">', '</a>');
			}
			else
			{
				$message = $user->lang['SFS_NEEDS_UPDATING'];
			}
			trigger_error ($message);
		}
		
		// something was submitted
		$submit = (isset($_POST['submit'])) ? true : false;
		
		$row = array(
			'sfs_enabled'			=> request_var('sfs_enabled', 0),
			'sfs_threshold_score'	=> request_var('sfs_threshold_score', 0),
			'sfs_send_email' 		=> request_var('sfs_send_email', 0),
			'sfs_log_admin_message'		=> request_var('sfs_log_admin_message', 0),
			'sfs_api_key'			=> utf8_normalize_nfc(request_var('sfs_api_key', '', true)),
		);		
		
		if ($submit)
		{
			if (!function_exists('validate_data'))
			{
				include($phpbb_root_path . 'includes/functions_user.' . $phpEx);
			}
			
			// validate the entries...most of them anyway
			$sfs_array = array(
				'sfs_threshold_score'		=> array('num', false, 5, 200),				
				'sfs_api_key'			=> array('string', true, 14, 14),
			);		
			
			$error = validate_data($row, $sfs_array);

			if (!check_form_key('acp_sfs'))
			{
				$error[] = 'FORM_INVALID';
			}

			// Replace "error" strings with their real, localised form
			$error = preg_replace('#^([A-Z_]+)$#e', "(!empty(\$user->lang['\\1'])) ? \$user->lang['\\1'] : '\\1'", $error);			


			if (!sizeof($error))
			{
				//update setting in config table for mod
				set_config('sfs_enabled', $row['sfs_enabled']);
				set_config('sfs_threshold_score', $row['sfs_threshold_score']);
				set_config('sfs_send_email', $row['sfs_send_email']);
				set_config('sfs_log_admin_message', $row['sfs_log_admin_message']);
				set_config('sfs_api_key', $row['sfs_api_key']);
				
				// and an entry into the log table
				add_log('admin', 'LOG_SFS_CONFIG_UPDATED');
				
				// purge the cache
				$cache->purge();
											
				trigger_error($user->lang['SFS_CONFIG_SAVED'] . adm_back_link($this->u_action));
			}
		}
								
		$sfs_enabled = isset($config['sfs_enabled']) ? $config['sfs_enabled'] : 0;
		$sfs_threshold_score = isset($config['sfs_threshold_score']) ? $config['sfs_threshold_score'] : 0;
		$sfs_version = isset($config['sfs_version']) ? $config['sfs_version'] : '';
		$sfs_send_email = isset($config['sfs_send_email']) ? $config['sfs_send_email'] : 0;
		$sfs_log_admin_message = isset($config['sfs_log_admin_message']) ? $config['sfs_log_admin_message'] : 0;
		$sfs_api_key = isset($config['sfs_api_key']) ? $config['sfs_api_key'] : '';
		
		$template->assign_vars(array(
			'SFS_ERROR'		=> isset($error) ? ((sizeof($error)) ? implode('<br />', $error) : '') : '',
			'SFS_ENABLED'	=> $sfs_enabled,
			'SFS_VERSION'	=> $sfs_version,
			'SFS_THRESHOLD_SCORE'	=> $sfs_threshold_score,
			'SFS_SEND_EMAIL'	=> $sfs_send_email,
			'SFS_LOG_ADMIN_MESSAGE'	=> $sfs_log_admin_message,
			'SFS_API_KEY'		=> $sfs_api_key,
			
			'U_ACTION'						=> $this->u_action)
		);
	}	
}

?>